Page MenuHomePhabricator

AMDGPU: Don't add emergency stack slot if all spills are SGPR->VGPR
ClosedPublic

Authored by arsenm on Feb 4 2017, 10:34 AM.

Details

Summary

This should avoid reporting any stack needs to be allocated in the
case where no stack is truly used. An unused stack slot is still
left around in other cases where there are real stack objects
but no spilling occurs.

Diff Detail

Event Timeline

arsenm created this revision.Feb 4 2017, 10:34 AM
rivanvx added a subscriber: rivanvx.Feb 6 2017, 6:28 AM
tstellar accepted this revision.Feb 15 2017, 2:51 PM
This revision is now accepted and ready to land.Feb 15 2017, 2:51 PM
arsenm closed this revision.Feb 22 2017, 2:36 PM

r295891